/****************************************************
 * PACKAGE INSTALLATION SCRIPT (Created 2002)        
 *                                                   
 * Contributors:                                     
 *  Stephen Bounds <GuruJ@mbox.com.au>               
 *                                                   
 ****************************************************/

// 1. Set parameters of package installation
var __pkg_name  = "Preferential";
var __prog_name = "preferential";
var __version   = "0.1";
var __author    = "GuruJ";
var __locale    = "en-US";

// 2. Initialise package
var err = initInstall(__pkg_name, "/" + __author + "/" + __pkg_name, __version);

// Get package directories
var __chrome   = getFolder("Chrome","");
var __package  = getFolder("Chrome","preferential.jar");

// 3. Flag files/folders to be added
addFile("", __prog_name + ".jar", __chrome, "");

// 4. Register chrome (this is what contents.rdf is used for)
registerChrome(PACKAGE | DELAYED_CHROME, __package, "content/");
registerChrome(LOCALE | DELAYED_CHROME, __package, "locale/" + __locale + "/" + __prog_name);

// 5. Perform the installation
err = performInstall();

// 6. Report on success or otherwise  
if ( err == SUCCESS || err == "999" ) {
   refreshPlugins();
   alert("Preferential has been installed. \n You must exit quick launch and restart your browser to continue.");
}
else { 
   alert("Install failed. \nError code:" + err);
   cancelInstall(err);
}